Name:           openslide-python
Version:        1.1.0
Release:        6%{?dist}
Summary:        Python bindings for the OpenSlide library

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://openslide.org/
Source0:        https://github.com/openslide/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

# Disable Intersphinx so it won't download inventories at build time
Patch0:         openslide-python-1.0.1-disable-intersphinx.patch

# Fix building docs with Python 3 and LANG=C
Patch1:         openslide-python-1.1.0-fix-doc-encoding-python3.patch

BuildRequires:  gcc
BuildRequires:  python2-devel python3-devel
BuildRequires:  python-setuptools python3-setuptools
BuildRequires:  python3-sphinx

Requires:       openslide >= 3.4.0
Requires:       python-pillow
Provides:       python2-openslide = %{version}-%{release}
%{?python_provide:%python_provide python2-openslide}

%description
The OpenSlide library allows programs to access virtual slide files
regardless of the underlying image format.  This package allows Python
programs to use OpenSlide.


%package -n openslide-python3
Summary:        Python 3 bindings for the OpenSlide library
Requires:       openslide >= 3.4.0
Requires:       python3-pillow
Provides:       python3-openslide = %{version}-%{release}
%{?python_provide:%python_provide python3-openslide}


%description -n openslide-python3
The OpenSlide library allows programs to access virtual slide files
regardless of the underlying image format.  This package allows Python 3
programs to use OpenSlide.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

# Examples include bundled jQuery and OpenSeadragon
rm -rf examples


%build
%py2_build
%py3_build
%{__python3} setup.py build_sphinx
rm build/sphinx/html/.buildinfo


%install
%py2_install
%py3_install


%files
%doc CHANGELOG.txt build/sphinx/html
%license LICENSE.txt lgpl-2.1.txt
%{python2_sitearch}/*


%files -n openslide-python3
%doc CHANGELOG.txt build/sphinx/html
%license LICENSE.txt lgpl-2.1.txt
%{python3_sitearch}/*


%changelog
* Sun Feb 21 2016 Benjamin Gilbert <bgilbert@backtick.net> - 1.1.0-6
- BuildRequire gcc per new policy

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Sun Oct 18 2015 Benjamin Gilbert <bgilbert@backtick.net> - 1.1.0-3
- Update to new Python guidelines
- Build docs with Python 3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Apr 21 2015 Benjamin Gilbert <bgilbert@backtick.net> - 1.1.0-1
- New release

* Sun Mar 22 2015 Benjamin Gilbert <bgilbert@backtick.net> - 1.0.1-4
- Update build scripts to current Packaging:Python template
- Move license files to %%license

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Kalev Lember <kalevlember@gmail.com> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Mar 10 2014 Benjamin Gilbert <bgilbert@backtick.net> - 1.0.1-1
- New release
- Use versioned sitelib macro for Python 2

* Tue Feb 11 2014 Benjamin Gilbert <bgilbert@backtick.net> - 0.5.1-1
- Initial version
